#/bin/sh

# EGF domains by disulfide bridges
#
# An Epiderm growth factor domain has a characteristic organisation of
# disulfide bridges, as shown below:

#               +--------------------+
#               |                    | 
#    +---------------------+         |     +------------+
#    |          |          |         |     |            |
#  C------------------------------------------------------N
#
#  This is recognized by the following metamotif:
#
#  <SS = <SS = SS> = SS> = SS
#
# where SS means a disulfide bridge.
#
# But the above expression does not distinguish between the
# organisation of bridges as in the EGF and the following one, which
# also occurs:
#
#               +----------+
#               |          |
#    +------------------------------+     +------------+
#    |          |          |        |     |            |
#  C-----------------------------------------------------N
#
# To tell them apart, we need to identify individual disulfide
# bridges:

mmsearch < disulfides.pff '<DISULFID#1 = <DISULFID#2 = DISULFID>#1 =
DISULFID>#2 = DISULFID'
