#/bin/sh

# Find all genes in dmgenes.gff

mmsearch < dmgenes.gff -i gff '<gene#1 = gene>#1'

# Here the '#1' ensures that we report the ends of corresponding
# genes, i.e.e we avoid overlaps. Without this precaution, situations
# like this:
#
#           <---------- gene1 ---------->
#                          <--------- gene2 ----------- >
#                          <++++++++++++>
#
# would result in a spurious gene being reported (<+...+>). Such
# situations exist, see overlaps.sh, ss_overlaps.sh and xs_overlaps.sh.
