#/bin/sh

# Find other-strand overlapping genes in dmgenes.gff

# This can't be done in a single step: we have to generate sets of
# plus-strand and minus-strand gene location.

# all plus-strand genes, in PFF
grep '+' dmgenes.gff | mmsearch -n plus_gene -i gff -o pff \
'<gene#1 = gene>#1' > plus_genes.pff

# all minus-strand genes, in PFF
grep -v '+' dmgenes.gff | mmsearch -n minus_gene -i gff -o pff \
'<gene#1 = gene>#1' > minus_genes.pff

cat minus_genes.pff plus_genes.pff | mmsearch -o 'pff det' \
'[!plus_gene|minus_gene]'
rm minus_genes.pff plus_genes.pff	# just to avoid litter

# This targets arrangements such as this:
#
#           <---------- plus-strand gene ---------->
#                          <--------- minus-strand gene ----------- >
#
# and this:
#
#           <---------- plus-strand gene ---------->
#              <---- minus-strand gene ---->
