#/bin/sh

# Find same-strand overlapping genes in dmgenes.gff

# This can't be done in a single step, but it's trivial to grep the
# strands before piping to mmsearch:

# all plus-strand genes, in PFF
grep '+' dmgenes.gff | mmsearch -i gff -o 'pff det' \
'<gene = <gene = gene> = gene>' > tmp

# all minus-strand genes, in PFF
grep -v '+' dmgenes.gff | mmsearch -i gff -o 'pff det' \
'<gene = <gene = gene> = gene>' >> tmp

cat tmp

rm tmp	# just to avoid litter

# This targets arrangements such as this:
#
#           <---------- plus-strand gene ---------->
#                          <--------- plus-strand gene ----------- >
#
# and this:
#
#           <---------- plus-strand gene ---------->
#              <---- plus-strand gene ---->
#
# and likewise for the minus strand.
