#!/bin/sh

# run the test, report differences.

let failures=0

for result in *.out
do
	testname=${result%.out}
	cmd="sh $testname.sh | diff - $result > $testname.diff"
	echo $cmd
	if eval $cmd 
	then
		echo "Ok."
		rm $testname.diff
	else
		echo "Problem - see $testname.diff"
		let failures=1
	fi
done

if [ $failures -eq 0 ]
then
	echo "All tests successful."
fi
