################################################################
#            The mmsearch Metamotif Search Engine
#
# Thomas Junier, April 2001
#
# Please see file COPYRIGHT.
#
# a metamotif scanner, for use with mmParse.

# use regexps to build a regexp parser :-)
class Scanner:
	def __init__(self):
		import re
		self.terminals = (
		['COMMA', r','],
		['LETTER', r'[a-z]'],
		['DIGIT', r'\d+'],
		['L_PAREN', r'\('],
		['R_PAREN', r'\)'],
		['L_BRACE', r'\{'],
		['R_BRACE', r'\}'],
		['L_BRACKET', r'\['],
		['R_BRACKET', r'\]'],
		['L_A_BRACKET', r'\<'],
		['R_A_BRACKET', r'\>'],
		['PIPE', r'\|'],
		['BANG', r'!'],
		['HASH', r'#']
		)
		for terminal in self.terminals:
			# if __debug__: print 'compiling %s ...' % terminal[0]
			pat = re.compile(terminal[1])
			terminal[1] = pat	# replace pattern by compiled pattern
	def scan(self, input):
		tokens = []
		while len(input) > 0:
			# if __debug__: print "Input: '%s'" % input
			for type, pat in self.terminals:
				# if __debug__: print " Matching '%s'... " % type
				m = pat.match(input)
				if m != None:
					# match!
					# if __debug__: print "Match!"
					input = input[m.end():]	# discard the matching prefix
					tokens.append([type, m.group()])
					break
			else:
				raise SyntaxError, "Scan error in '%s'." % input
		return tokens
